For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all deposit summaries
        • GETGet a deposit summary by ID
        • PUTUpdate Deposit Summary: MRI
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
MRIDeposit Summaries

Get a deposit summary by ID

GET
/v1/deposit-summaries/:deposit_summary_id
GET
/v1/deposit-summaries/:deposit_summary_id
$curl https://api.propexo.com/v1/deposit-summaries/deposit_summary_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "0000008618",
17 "x_property_id": "100",
18 "x_resident_id": "0000008618",
19 "x_building_id": "300",
20 "x_invoice_id": "cb4y7ht1h64902650881w8135e1gm62n",
21 "x_lease_id": "0000008618",
22 "x_location_id": null,
23 "x_unit_id": "0000008618",
24 "amount_charged_in_cents": null,
25 "amount_paid_in_cents": null,
26 "amount_refunded_in_cents": null,
27 "notes": null,
28 "refund_amount_due_in_cents": 1000,
29 "custom_data": {},
30 "integration_data": {},
31 "integration_id": "clwh5u07w000508me66sfh3um",
32 "integration_vendor": "MRI",
33 "invoice_id": "cb4y7ht1h64902650881w8135e1gm62n",
34 "lease_id": "cm0y7ht1h64902650881w8135e1gm97m",
35 "unit_id": "cm0y7ht1h64902650881w8135e1gmc12u",
36 "resident_id": "cm0y7ht1h64902650331vw7uaq1fhs24i",
37 "property_id": "clwi5xiix000008l6ctdgafyh"
38 }
39}
Get a deposit summary by ID
Was this page helpful?
Previous

Update Deposit Summary: MRI

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

deposit_summary_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error